/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.mapper;

import org.springframework.stereotype.Repository;
import com.jeeplus.core.persistence.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.jeeplus.modules.sys.entity.CompletionInformation;

import java.util.List;

/**
 * ItemListMAPPER接口
 * @author qiuyue
 * @version 2021-12-23
 */
@Mapper
@Repository
public interface CompletionInformationMapper extends BaseMapper<CompletionInformation> {

    /**
     * 逻辑删除
     * @param id  需要修改的ID
     * */
    int updateDelFlag(String id);

    /**
     * 通过id查询
     * */
    List<CompletionInformation> isSubmissionDate(String[] ids);

    /**
     * 通过id更改实际资料提交日期
     * */
    int updateSubmissionDate(List<CompletionInformation> list);

    /**
     * 批量插入
     * @param list 插入list数据
     * */
    int insertList(List<CompletionInformation> list);

    @Override
    int update(CompletionInformation entity);
}